using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a genie corpse" )]
	public class Genie : BaseCreature
	{
		[Constructable]
		public Genie () : base( AIType.AI_Mage, FightMode.Evil, 10, 1, 0.2, 0.4 )
		{
			Name = "a genie";
			Body = 13;
			Hue = 1185;
			BaseSoundID = 0x370;

			SetStr( 326, 355 );
			SetDex( 266, 285 );
			SetInt( 171, 195 );

			SetHits( 196, 213 );

			SetDamage( 11, 13 );

			SetSkill( SkillName.Concentration, 60.1, 75.0 );
			SetSkill( SkillName.Magery, 60.1, 75.0 );
			SetSkill( SkillName.MagicResist, 60.1, 75.0 );
			SetSkill( SkillName.Tactics, 60.1, 80.0 );
			SetSkill( SkillName.HandToHand, 60.1, 80.0 );

			Fame = 10000;
			Karma = 10000;

			VirtualArmor = 56;
		}

		public override int GetHurtSound()
		{
			return Utility.RandomList( 0x373, 0x375, 0x376, 0x377 );
		}

		public override int GetAngerSound()
		{
			return 0x378;
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich );
			AddLoot( LootPack.Average );
			AddLoot( LootPack.Gems );
		}

		public Genie( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}
